ODSCELL(1)

NAME
odscell - Read and update blocks of cells in OpenDocument spreadsheets files

SYNOPSIS

odscell file.ods cell

DESCRIPTION

This program reads a cell or block of cells from a file in ODS format, and prints it out in a CSV format to standard output. Alternatively, if the -w flag is set, the program reads in a CSV-formatted block of cells from standard input, and overwites a cell or block of cells in a file in ODS format.

OPTIONS

--version
    Display the version and exit.

-h, --help
    Display command usage.

-r ROWS, --rows=ROWS
    Specify the height of the block of cells, in rows. Must be greater than zero. Defaults to 1 when the -w option is not present. Defaults to the number of input rows when the -w option is present.

-c COLS, --cols=COLS
    Specify the width of the block of cells, in columns. Must be greater than zero. Defaults to 1 when the -w option is not present. Defaults to the number of input columns when the -w option is present.

-s SHEET, --sheet=SHEET
    The sheet in the ODS file to read/modify. Must be greater than zero; defaults to 1.

-w
    If specified, the spreadsheet will be modified with data from standard input. If not specified, the cells from the spreadsheet will be written to standard output.

file.ods
    The ODS file to be read from or modified.

cell
    The top-left cell of the block of cells to be read from or modified. This should be specified in normal spreadsheet format, e.g. "A1" or "BA23".

EXAMPLE

    odscell foo.ods A4                                          # display value in cell A4 on sheet 1 of foo.ods
    odscell -r 2 -c 2 foo.ods B2                                # display values for cells B2,B3,C2,C3 on sheet 1 of foo.ods
    echo "hello,world,garbage" | odscell -c 2 -w foo.ods A1     # write "hello" to cell A1 and "world" to cell A2 on sheet 1 of foo.ods
    cat bar.csv | odscell -s 2 -w foo.ods A1                    # put the CSV data from bar.csv into sheet 2 of foo.ods

AUTHOR

Kartikaya Gupta
    Original author of odscell